Application: gvSIG desktop - gvSIG bugs #5555
Problemas en checkout de capa ya existente en la copia de trabajo.
03/01/2021 12:57 PM - José Olivas

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Francisco Diaz Carsi

Category:

Target version: 2.6.0-3216

Severity: Minor Add-on version:

gvSIG version: 2.6.0 Add-on build:

gvSIG build: 3215 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto: AYTOA 1
Has patch: Hito: Fase 01
Add-on name: Unknown

Description

Reportado por Victor

No deja hacer un checkout de una tabla que ya esta en una copia de trabajo. Ahora ni siquiera salen las tablas.

Si se hace desde "afiadir capa de vcsgis" se duplica.

Associated revisions

Revision 3449 - 03/04/2021 09:55 AM - Francisco Diaz Carsi

refs #5555 Fixed a translation

Revision 3451 - 03/04/2021 01:00 PM - Francisco Diaz Carsi

refs #5555 Fixed the refresh in the entity list when a checkout has been done

History

#1 - 03/02/2021 09:07 PM - Joaquin del Cerro Murciano
- Proyecto changed from AYTOA 1 VCSGIS to AYTOA 1

#2 - 03/03/2021 10:30 AM - Joaquin del Cerro Murciano
- Priority changed from Normal to High

#3 - 03/04/2021 12:58 PM - Francisco Diaz Carsi

- Status changed from New to Awaiting response

Primeramente, yo estoy intentando reproducir esto en devel con lo que es posible que se hubiera arreglado algo entre medias sin ser consciente de
ello.
Pero vayamos por partes:

- "No deja hacer un checkout de una tabla que ya esta en una copia de trabajo.":
Si deja, solo hay que marcar el check de "Sobreescribir tabla" (por cierto, arreglo la traduccién, deberia ser "sobrescribir")

- "Ahora ni siquiera salen las tablas.":

Yo esto no lo puedo reproducir, a mi si me salen las tablas.

- "Si se hace desde "afadir capa de vcsgis" se duplica.”
Desde anadir capa solo se puede hacer chechout de capas que no existen en el repositorio, es el comportamiento normal.
¢dénde se duplica?: * 4En la vista? Es légico, si afiades dos veces la misma capa, se veran dos capas. * ;En la lista de tablas a afiadir? No
consigo reproducirlo

Lo que sf he visto en el Wizard de afiadir capa ha sido problemas de refresco en la lista de entidades cuando se hace un checkout. Lo arreglo y hago
un commit enlazéandolo con esta peticién pero la dejo en estado "awaiting response" para tenerla en cuenta cuando se resuelvan las dudas.
#4 - 03/05/2021 08:54 AM - Francisco Diaz Carsi

- Status changed from Awaiting response to Fixed

#5 - 03/05/2021 09:32 AM - Francisco Diaz Carsi

- Assignee set to Francisco Diaz Carsi

#6 - 05/19/2021 11:38 AM - Alvaro Anguix
- Status changed from Fixed to Closed
